###############################################################################
#            Aidge Continious Integration and Continious Deployment            #
#                                                                             #
###############################################################################

stages:
  # Analyse code
  - static_analysis
  # Build Aidge
  - build
  # Unit test stage
  - test
  # Code coverage
  - coverage

include:
  - local: '/.gitlab/ci/_global.gitlab-ci.yml'
  - local: '/.gitlab/ci/static_analysis.gitlab-ci.yml'
  - local: '/.gitlab/ci/build.gitlab-ci.yml'
  - local: '/.gitlab/ci/test.gitlab-ci.yml'
  - local: '/.gitlab/ci/coverage.gitlab-ci.yml'
